#include <NewPing.h>

// ---------------------------------------------------------------------------
// Example URF sketch used to control a piezo.
// ---------------------------------------------------------------------------

#define TRIGGER_PIN  5  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN     6  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define MAX_DISTANCE 200 // Maximum distance we want to ping for (in centimeters). Maximum sensor distance is rated at 400-500cm.

int piezoPin = 3;  //Arduno pin assigned to the piezo speaker
int distance = 0;
NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance

void setup() {
  Serial.begin(115200); // Open serial monitor at 115200 baud to see ping results.
  pinMode(piezoPin, OUTPUT);   //configure the piezo as an output pin
}

void loop() {
  Serial.print("Ping: ");
  distance = sonar.ping_cm();
  Serial.print(distance); // Send ping, get distance in cm and print result (0 = outside set distance range)
  Serial.println("cm");
  if (distance <= 15) { // Make sound if distance detected is less then 15cm
    digitalWrite(piezoPin, HIGH);
    delay(20);
    digitalWrite(piezoPin, LOW);
    delay(20);
    digitalWrite(piezoPin, HIGH);
    delay(20);
    digitalWrite(piezoPin, LOW);
    delay(20);
  } else {
    digitalWrite(piezoPin, LOW);
  }

}
